! *****************************************************************************
! *****************************************************************************

SUBROUTINE DATENAME(ErrStatus, WHandle, Lake)
   USE DateNameMain, ONLY : DO_DATENAME

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  DATENAME

   CALL DO_DATENAME(ErrStatus, WHandle, Lake)

END SUBROUTINE DATENAME


! *****************************************************************************
! *****************************************************************************

SUBROUTINE CMOFPOSR(ErrStatus, WHandle, Lake)
   USE CMOFPOSR_Main, ONLY : DO_CMOFP

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  CMOFPOSR

   CALL DO_CMOFP(ErrStatus, WHandle, Lake)

END SUBROUTINE CMOFPOSR


! *****************************************************************************
! *****************************************************************************

SUBROUTINE CPFFSROM (EvpRun, ErrStatus, WHandle, Lake)
   USE CPFSR_Main, ONLY : DO_CPFFSROM

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: EvpRun                 !  0=evap data;  1=runoff data
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  CPFFSROM

   CALL DO_CPFFSROM(EvpRun, ErrStatus, WHandle, Lake)

END SUBROUTINE CPFFSROM


! *****************************************************************************
! *****************************************************************************

SUBROUTINE CSQFPOSR(ErrStatus, WHandle, Lake)
   USE CSQFPOSR_Main, ONLY : DO_CSQF

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  CSQFPOSR

   CALL DO_CSQF(ErrStatus, WHandle, Lake)

END SUBROUTINE CSQFPOSR

! *****************************************************************************
! *****************************************************************************

SUBROUTINE ECSQFPOS(ErrStatus, WHandle, Lake)
   USE ECSQFPOS_Main, ONLY : DO_ECSQ

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  ECSQFPOS

   CALL DO_ECSQ(ErrStatus, WHandle, Lake)

END SUBROUTINE ECSQFPOS

! *****************************************************************************
! *****************************************************************************

SUBROUTINE LUMPOUT1 (ErrStatus, WHandle, Lake)
   USE LumpOut1_Main, ONLY : DO_LMP1

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: WHandle
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  LUMPOUT1

   CALL DO_LMP1(ErrStatus, WHandle, Lake)

END SUBROUTINE LUMPOUT1

! *****************************************************************************
! *****************************************************************************

SUBROUTINE LUMPOUT2 (ErrStatus, WHandle, Lake)
   USE LumpOut2_Main, ONLY : DO_LMP2

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: WHandle
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  LUMPOUT2

   CALL DO_LMP2(ErrStatus, WHandle, Lake)

END SUBROUTINE LUMPOUT2

! *****************************************************************************
! *****************************************************************************

SUBROUTINE ELMPOUT1 (ErrStatus, WHandle, Lake)
   USE ELMPOUT1_Main, ONLY : DO_ELMP1

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: WHandle
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  ELMPOUT1

   CALL DO_ELMP1(ErrStatus, WHandle, Lake)

END SUBROUTINE ELMPOUT1

! *****************************************************************************
! *****************************************************************************

SUBROUTINE ELMPOUT2 (ErrStatus, WHandle, Lake)
   USE ELMPOUT2_Main, ONLY : DO_ELMP2

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: WHandle
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   CHARACTER (LEN=*), INTENT(IN) :: Lake

 !GCC$ ATTRIBUTES CDECL, DLLEXPORT ::  ELMPOUT2

   CALL DO_ELMP2(ErrStatus, WHandle, Lake)

END SUBROUTINE ELMPOUT2



