!------------------------------------------------------------------------------
! Note that our convention is DLL procedure names are all caps. This needs to 
! be a match between both the Fortran and Pascal (Delphi) code.
!------------------------------------------------------------------------------
! *****************************************************************************
! *****************************************************************************

SUBROUTINE ERRCHK_14(ErrStatus, WHandle)
   USE ErrChkMain

   IMPLICIT NONE
   INTEGER, INTENT(INOUT) :: ErrStatus
   INTEGER, INTENT(INOUT) :: WHandle

!GCC$ ATTRIBUTES CDECL, DLLEXPORT :: ERRCHK

   CALL DO_ErrChk_2(ErrStatus, WHandle)

END SUBROUTINE ERRCHK_14



! *****************************************************************************
! *****************************************************************************

SUBROUTINE PROVMETDATA(ErrStatus, WHandle)
   USE PrvsnalMain

   IMPLICIT NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus
   INTEGER, INTENT(INOUT)  :: WHandle

!GCC$ ATTRIBUTES CDECL, DLLEXPORT :: PRVSNAL

   CALL DO_PROVMETDATA(ErrStatus, WHandle)

   RETURN

END SUBROUTINE PRVSNAL


! *****************************************************************************
! *****************************************************************************

SUBROUTINE DISAVMET_14(ErrStatus, WHandle)
   USE DisavMain

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle

!GCC$ ATTRIBUTES CDECL, DLLEXPORT :: DISAVMET

   CALL DO_DISAVMET_14(ErrStatus, WHandle)

END SUBROUTINE DISAVMET_14

! *****************************************************************************
! *****************************************************************************

SUBROUTINE LUMP_PRV(ErrStatus, WHandle, LandLake)
   USE LUMPPRV_Main

   IMPLICIT    NONE
   INTEGER, INTENT(INOUT)  :: ErrStatus              !  0=OK,  otherwise an error
   INTEGER, INTENT(INOUT)  :: WHandle
   CHARACTER (LEN=*), INTENT(IN) :: LandLake

!GCC$ ATTRIBUTES CDECL, DLLEXPORT :: LUMP_PRV

   CALL DO_LUMPPRV(ErrStatus, WHandle, LandLake)

END SUBROUTINE LUMP_PRV


